
%global meadversion 1.3.4
%global namedversion 1.3.4.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package smallrye-opentracing}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.3.4.redhat-00004

Name:           %{?scl_prefix}smallrye-opentracing
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SmallRye OpenTracing
Group:          Development/Java

%if %with mead
Source100: smallrye-opentracing-parent-1.3.4.redhat-00004-project-sources.tar.gz
Source102: smallrye-opentracing-1.3.4.redhat-00004.jar
Source103: smallrye-opentracing-1.3.4.redhat-00004.pom
Source104: smallrye-opentracing-tck-1.3.4.redhat-00004.pom
Source105: smallrye-opentracing-tck-1.3.4.redhat-00004.jar
Source106: smallrye-opentracing-1.3.4.redhat-00004-sources.jar
Source107: smallrye-opentracing-release-1.3.4.redhat-00004.pom
Source108: smallrye-opentracing-parent-1.3.4.redhat-00004.pom
%endif

License:        ASL 2.0
URL:            https://github.com/smallrye/smallrye-opentracing/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
SmallRye OpenTracing is an implementation of https://github.com/eclipse/microprofile-opentracing meant to be reusable for different vendors.

%if %with javadoc
%package javadoc
Summary:        Javadoc for smallrye-opentracing
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%package tck
Summary:        SmallRye OpenTracing TCK
Group:          Development/Java

%description tck
%{summary}.

%prep
%setup -q -n smallrye-opentracing-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/smallrye-opentracing-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-opentracing-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-opentracing-%{namedversion}-sources.jar %{buildroot}%{_javadir}/smallrye-opentracing-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/smallrye-opentracing-tck-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-opentracing-tck-%{namedversion}.jar

%if %with javadoc
%{__cp} -p %{_sourcedir}/smallrye-opentracing-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/smallrye-opentracing-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/smallrye-opentracing-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/smallrye-opentracing-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/smallrye-opentracing-%{namedversion} -x META-INF/\*
%{__ln_s} smallrye-opentracing-%{namedversion} %{buildroot}%{_javadocdir}/smallrye-opentracing
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md README.adoc
%{_javadir}/smallrye-opentracing.jar
%{_javadir}/smallrye-opentracing-%{namedversion}.jar
%{_javadir}/smallrye-opentracing-sources.jar
%{_javadir}/smallrye-opentracing-%{namedversion}-sources.jar

%files tck
%defattr(0644,root,root,0755)
%{_javadir}/smallrye-opentracing-tck.jar
%{_javadir}/smallrye-opentracing-tck-%{namedversion}.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/smallrye-opentracing-%{namedversion}
%{_javadocdir}/smallrye-opentracing
%endif

%changelog
* Fri Apr 24 2020 Permaine Cheung <pcheung@redhat.com> - 1.3.4-1.redhat_00004.1
- 1.3.4.redhat-00004

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 1.3.0-1.redhat_00008.1
- 1.3.1.redhat-00001

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.1.1-1.redhat_00001.1
-  1.1.1.redhat-00001 

* Thu Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.1.1
- Init build
